# coding=utf-8

import django_filters

from .models import Option, Config


class OptionFilter(django_filters.FilterSet):
    name = django_filters.CharFilter(field_name='name', lookup_expr='icontains')
    type = django_filters.CharFilter(field_name='type')

    class Meta:
        model = Option
        fields = '__all__'

class ConfigFilter(django_filters.FilterSet):

    class Meta:
        model = Config
        fields = '__all__'
